DEVS-Fire API

computePerimeterLength

Computes and returns the perimeter length of the current burn area.

POST
/computePerimeterLength

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/computePerimeterLength/"params: dict[str, str] = {    "userToken": "abc123xyz",}response = requests.post(base_url, params=params)print(response.text)
"0.0"
{
  "timestamp": "2026-05-20T16:41:09.484+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/computePerimeterLength"
}

Response Body

text/plain

application/json